Bug 516869 - Review Request: perl-Search-Xapian - Xapian perl bindings
Summary: Review Request: perl-Search-Xapian - Xapian perl bindings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-11 18:07 UTC by Rakesh Pandit
Modified: 2009-09-29 14:35 UTC (History)
3 users (show)

Fixed In Version: 1.0.15.0-1.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-14 05:20:03 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rakesh Pandit 2009-08-11 18:07:04 UTC
SPEC: http://rakesh.fedorapeople.org/spec/perl-Search-Xapian.spec
SRPM: http://rakesh.fedorapeople.org/srpm/perl-Search-Xapian-1.0.11-1.fc11.src.rpm


Description:
Perl XS frontend to the Xapian C++ search library.

Comment 2 Parag AN(पराग) 2009-08-12 06:58:00 UTC
Consider packaging latest upstream source 1.0.14.0
Good to keep version for this package as 1.0.14.0 as this package provides
perl(Search::Xapian) = 1.0.14.0

Comment 3 Parag AN(पराग) 2009-08-12 07:19:18 UTC
License looks "GPL+ or Artistic"

Consider cpanspec command to create spec file for perl packages.

Comment 5 Parag AN(पराग) 2009-08-14 06:34:21 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1604641
- rpmlint is NOT silent for RPM.
perl-Search-Xapian.i686: E: explicit-lib-dependency xapian-core-libs
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.
== > Ok
perl-Search-Xapian.i686: W: incoherent-version-in-changelog 1.0.11-4 ['1.0.11.0-4.fc12', '1.0.11.0-4']
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.
==> Fix this

+ source files match upstream url
480fd99617975c1aaf9127cd7c7166bc05d07eb1  Search-Xapian-1.0.11.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=15, Tests=445,  2 wallclock secs ( 0.11 usr  0.01 sys +  0.68 cusr  0.11 csys =  0.91 CPU)
+ Package perl-Search-Xapian-1.0.11.0-4.fc12.i686 =>
Provides: Xapian.so perl(Search::Xapian) = 1.0.11.0 perl(Search::Xapian::BM25Weight) perl(Search::Xapian::BoolWeight) perl(Search::Xapian::Database) perl(Search::Xapian::Document) perl(Search::Xapian::ESet) perl(Search::Xapian::ESetIterator) perl(Search::Xapian::Enquire) perl(Search::Xapian::MSet) perl(Search::Xapian::MSet::Tied) perl(Search::Xapian::MSetIterator) perl(Search::Xapian::MultiValueSorter) perl(Search::Xapian::PerlStopper) perl(Search::Xapian::PositionIterator) perl(Search::Xapian::PostingIterator) perl(Search::Xapian::Query) perl(Search::Xapian::QueryParser) perl(Search::Xapian::RSet) perl(Search::Xapian::SimpleStopper) perl(Search::Xapian::Stem) perl(Search::Xapian::Stopper) perl(Search::Xapian::TermGenerator) perl(Search::Xapian::TermIterator) perl(Search::Xapian::TradWeight) perl(Search::Xapian::ValueIterator) perl(Search::Xapian::Weight) perl(Search::Xapian::WritableDatabase)
Requires: libc.so.6 libc.so.6(GLIBC_2.1.3) libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libm.so.6 libstdc++.so.6 libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) libxapian.so.15 perl >= 0:5.006 perl(Carp) perl(DynaLoader) perl(Exporter) perl(Search::Xapian::BM25Weight) perl(Search::Xapian::BoolWeight) perl(Search::Xapian::Database) perl(Search::Xapian::Document) perl(Search::Xapian::ESet) perl(Search::Xapian::ESetIterator) perl(Search::Xapian::Enquire) perl(Search::Xapian::MSet) perl(Search::Xapian::MSet::Tied) perl(Search::Xapian::MSetIterator) perl(Search::Xapian::MultiValueSorter) perl(Search::Xapian::PerlStopper) perl(Search::Xapian::PositionIterator) perl(Search::Xapian::PostingIterator) perl(Search::Xapian::Query) perl(Search::Xapian::QueryParser) perl(Search::Xapian::RSet) perl(Search::Xapian::SimpleStopper) perl(Search::Xapian::Stem) perl(Search::Xapian::Stopper) perl(Search::Xapian::TermGenerator) perl(Search::Xapian::TermIterator) perl(Search::Xapian::TradWeight) perl(Search::Xapian::ValueIterator) perl(Search::Xapian::Weight) perl(Search::Xapian::WritableDatabase) perl(Tie::Array) perl(UNIVERSAL) perl(overload) perl(strict) perl(warnings) rtld(GNU_HASH)

+ Not a GUI application

Suggestions:
1) you can write %files as
%doc Changes README 
%{perl_vendorlib}/*
%{_mandir}/man3/*

2) Fix Changelog entry versions in SPEC

APPROVED.

Comment 6 Rakesh Pandit 2009-08-23 03:47:20 UTC
Included all suggested changes:

http://rakesh.fedorapeople.org/spec/perl-Search-Xapian.spec
http://rakesh.fedorapeople.org/srpm/perl-Search-Xapian-1.0.11.0-5.fc11.src.rpm

Thanks,

New Package CVS Request
=======================
Package Name: perl-Search-Xapian
Short Description: Xapian perl bindings
Owners: rakesh
Branches: F-10 F-11 F-12
InitialCC:

Comment 7 Kevin Fenzi 2009-08-24 19:56:10 UTC
We aren't doing F-12 branches yet. 
Otherwise, cvs done.

Comment 8 Fedora Update System 2009-08-27 14:26:17 UTC
perl-Search-Xapian-1.0.11.0-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Search-Xapian-1.0.11.0-5.fc11

Comment 9 Fedora Update System 2009-08-28 21:57:58 UTC
perl-Search-Xapian-1.0.11.0-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Search-Xapian'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9090

Comment 10 Fedora Update System 2009-09-13 10:46:43 UTC
perl-Search-Xapian-1.0.15.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Search-Xapian-1.0.15.0-1.fc10

Comment 11 Fedora Update System 2009-09-13 10:47:28 UTC
perl-Search-Xapian-1.0.15.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Search-Xapian-1.0.15.0-1.fc11

Comment 12 Fedora Update System 2009-09-29 14:22:57 UTC
perl-Search-Xapian-1.0.15.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-09-29 14:35:38 UTC
perl-Search-Xapian-1.0.15.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.